.code_box_small { height: 130px; padding: 15px; font: 13px/20px Monaco, serif; -webkit-border-radius: 4px; -moz-border-radius: 4px; border-radius: 4px; border: solid 1px #3d3d3d; border: solid 1px rgba(126, 126, 139, 0.3); -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1); -moz-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1); box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1); resize: vertical; }

.commented_code
{
	color:#999;
	font-style:italic;
}

.function_name
{
	color:#063;
	font-weight:bold;
}

.fullscreen
{
    z-index: 9999;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
	z-index: 10;
 }

.help_description
{
	margin-top:10px;
	margin-bottom:10px;
	padding-left:15px;
	color:#666;
}

.invalid_message
{
	color:#966;
	font-weight:bold;
}

.static_value
{
	color:#399;
	font-weight:bold;
}

.variable_name
{
	color:#036;
	font-weight:bold;
}

.CodeMirror
{
    height: 348px;
    font: 13px/20px Monaco, serif;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: solid 1px #3d3d3d;
    border: solid 1px rgba(126, 126, 139, 0.3);
    -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
}

.elipsis
{
    overflow: hidden;
    text-overflow: ellipsis;
}

.disabled
{
    opacity: 0.4;
}

.scroll
{
    overflow: auto;
}

.sidebar {
    height: 100%;
}

.sidebar.collapsed {
    overflow: hidden;
}

.form {
    border-top: 1px solid #C8C6C3;
    border-bottom: 1px solid #C8C6C3;
    height: 400px;
}

.form_canvas
{
    display: inline-block;
    height: 100%;
}

.form_properties
{
    float: left;
    width: 200px;
    border-right: 1px solid #C8C6C3;
}

.form_elements
{
    float: right;
    width: 150px;
    border-left: 1px solid #C8C6C3;
}

.sidebar-collapser {
    cursor: pointer;
    position: absolute;
    top: 43%;
    margin-top: -13px;
    width: 8px;
    height: 26px;
    background-color: #454342;
    border-radius: 0px;
    border: 1px solid #11100f;
    z-index: 1000;
    opacity: 0.7;
}

.sidebar-collapser:hover {
    background-color: #585655;
    opacity: 1.0;
}

.sidebar-collapser[data-side="left"] {
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
    box-shadow: 1px 0px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255, 255, 255, 0.15);
    -webkit-box-shadow: 1px 0px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255, 255, 255, 0.15);
    -moz-box-shadow: 1px 0px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255, 255, 255, 0.15);
    margin-left: 200px;
}

.sidebar-collapser[data-side="right"] {
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
    box-shadow: -1px 0px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255, 255, 255, 0.15);
    -webkit-box-shadow: -1px 0px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255, 255, 255, 0.15);
    -moz-box-shadow: -1px 0px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255, 255, 255, 0.15);
    margin-left: -10px;
}

.sidebar-collapser .sidebar-collapser-caret {
    width: 0px;
    height: 0px;
    border: 3px solid transparent;
    margin-top: -3px;
    position: relative;
    top: 50%;
}

.sidebar-collapser[data-side="right"] .sidebar-collapser-caret {
    border-left: 3px solid rgba(255, 255, 255, 0.7);
    border-right: none;
    right: -3px;
}

.sidebar.collapsed .sidebar-collapser[data-side="right"] .sidebar-collapser-caret {
    border-right: 3px solid rgba(255, 255, 255, 0.7);
    border-left: none;
    right: -2px;
}

.sidebar-collapser[data-side="left"] .sidebar-collapser-caret {
    border-right: 3px solid rgba(255, 255, 255, 0.7);
    border-left: none;
    left: 2px;
    margin-left: 0;
}

.sidebar.collapsed .sidebar-collapser[data-side="left"] .sidebar-collapser-caret {
    border-left: 3px solid rgba(255, 255, 255, 0.7);
    border-right: none;
}

.ui-tooltip {
    overflow: hidden;
    word-wrap: break-word;
    max-height: 150px;
}
